<?php
require_once('sandbox/functions.php');

// Produces a list of pages in the header without whitespace -- er, I mean negative space.
function pw_globalnav() {
	echo '<div id="menu"><ul>';
	$menu = wp_list_pages('title_li=&sort_column=menu_order&echo=0'); // Params for the page list in header.php
	echo str_replace(array("\r", "\n", "\t"), '', $menu);
	echo "</ul>";
	
	$subscribe = "<span id='subscribe'>";
	$subscribe .= "<a href='".get_bloginfo('rss2_url')."' title='Subscribe to ".get_bloginfo('name')."' rel='alternate' type='application/rss+xml'><img src='".get_template_directory_uri()."/images/rss_16x16.png' alt='' /></a>";
	$subscribe .= "</span>";
	echo apply_filters('pw_subscribe_nav', $subscribe);
	
	echo "</div>\n";
}

// Generates semantic classes for each post DIV element
function pw_post_class() {
	global $post;

	// describes the post type
	$c[] = $post->post_status;

	// Author for the post queried
	$c[] = 'author-' . sanitize_title_with_dashes(strtolower(get_the_author('login')));

	// Tags for the post queried; if not tagged, use .untagged
	if ( get_the_tags() == null ) {
		$c[] = 'untagged';
	}

	// For password-protected posts
	if ( $post->post_password )
		$c[] = 'protected';

	// Applies the time- and date-based classes (below) to post DIV
	sandbox_date_classes( mysql2date( 'U', $post->post_date ), $c );

	// Separates classes with a single space, collates classes for post DIV
	$c = join( ' ', apply_filters( 'post_class', $c ) ); // Available filter: post_class

	// And tada!
	return $c;
}

function pw_legacy_comments($file) {
	if (!function_exists('wp_list_comments')) {
		$file = TEMPLATEPATH . '/legacy.comments.php';
	}
	
	return $file;
}

function pw_cancel_comment_reply_link($full_link) {
	//$text = 'Cancel Reply';
	
	return $full_link;
}

add_filter('cancel_comment_reply_link', 'pw_cancel_comment_reply_link');
add_filter('comments_template', 'pw_legacy_comments');
?>
